Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.proxy
[Java] Class GroovyAwareJavassistLazyInitializer

    java.lang.Object
      org.hibernate.proxy.pojo.BasicLazyInitializer
          org.codehaus.groovy.grails.orm.hibernate.proxy.GroovyAwareJavassistLazyInitializer

All Implemented Interfaces:
  MethodHandler

    public class GroovyAwareJavassistLazyInitializer
    extends BasicLazyInitializer

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`static HibernateProxy` | `getProxy(java.lang.String entityName, java.lang.Class persistentClass, Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType, java.io.Serializable id, SessionImplementor session)`
`static HibernateProxy` | `getProxy(java.lang.Class factory, java.lang.String entityName, java.lang.Class persistentClass, Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType, java.io.Serializable id, SessionImplementor session)`
`static java.lang.Class` | `getProxyFactory(java.lang.Class persistentClass, Class[] interfaces)`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method thisMethod, java.lang.reflect.Method proceed, Object[] args)`
`protected java.lang.Object` | `serializableProxy()`

Method Detail

### getProxy

    public static HibernateProxy getProxy(java.lang.String entityName, java.lang.Class persistentClass, Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType, java.io.Serializable id, SessionImplementor session)

### getProxy

    public static HibernateProxy getProxy(java.lang.Class factory, java.lang.String entityName, java.lang.Class persistentClass, Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, AbstractComponentType componentIdType, java.io.Serializable id, SessionImplementor session)

### getProxyFactory

    public static java.lang.Class getProxyFactory(java.lang.Class persistentClass, Class[] interfaces)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy, java.lang.reflect.Method thisMethod, java.lang.reflect.Method proceed, Object[] args)

### serializableProxy

    @Override
    protected java.lang.Object serializableProxy()

Groovy Documentation